# OpalMediaType Class Reference

`#include <mediatype.h>`

## Public Member Functions

| OpalMediaType ()
virtual | ~OpalMediaType ()
| OpalMediaType (const std::string &str)
| OpalMediaType (const char *str)
| OpalMediaType (const PString &str)
OpalMediaTypeDefinition * | operator-> () const
OpalMediaTypeDefinition * | GetDefinition () const
| P_DECLARE_BITWISE_ENUM_EX (AutoStartMode, 3,(OfferInactive, Receive, Transmit, DontOffer), ReceiveTransmit=Receive|Transmit, TransmitReceive=Receive|Transmit)
AutoStartMode | GetAutoStart () const

## Static Public Member Functions

static const OpalMediaType & | Audio ()
static const OpalMediaType & | Video ()
static const OpalMediaType & | UserInput ()
static OpalMediaTypeDefinition * | GetDefinition (const OpalMediaType &key)
static OpalMediaTypeDefinition * | GetDefinition (unsigned sessionId)
static OpalMediaTypeList | GetList ()

## Detailed Description

Define the type used to hold the media type identifiers, i.e. "audio", "video", "h.224", "fax" etc

## Constructor & Destructor Documentation

OpalMediaType::OpalMediaType | ( |  | ) | `[inline]`

virtual OpalMediaType::~OpalMediaType | ( |  | ) | `[inline, virtual]`

OpalMediaType::OpalMediaType | ( | const std::string & | str | ) | `[inline]`

OpalMediaType::OpalMediaType | ( | const char * | str | ) | `[inline]`

OpalMediaType::OpalMediaType | ( | const PString & | str | ) | `[inline]`

## Member Function Documentation

static const OpalMediaType& OpalMediaType::Audio | ( |  | ) | `[static]`

__inline OpalMediaType::AutoStartMode OpalMediaType::GetAutoStart | ( |  | ) | const

static OpalMediaTypeDefinition* OpalMediaType::GetDefinition | ( | unsigned | sessionId | ) | `[static]`

static OpalMediaTypeDefinition* OpalMediaType::GetDefinition | ( | const OpalMediaType & | key | ) | `[static]`

OpalMediaTypeDefinition* OpalMediaType::GetDefinition | ( |  | ) | const

static OpalMediaTypeList OpalMediaType::GetList | ( |  | ) | `[static]`

Get a list of all media types. This also assures that Audio() and Video() are the first two elements.

OpalMediaTypeDefinition* OpalMediaType::operator-> | ( |  | ) | const`[inline]`

OpalMediaType::P_DECLARE_BITWISE_ENUM_EX | ( | AutoStartMode | ,
|  | 3 | ,
|  | (OfferInactive, Receive, Transmit, DontOffer) | ,
|  | ReceiveTransmit | = `Receive|Transmit`,
|  | TransmitReceive | = `Receive|Transmit` |
| ) |  |  |

static const OpalMediaType& OpalMediaType::UserInput | ( |  | ) | `[static]`

static const OpalMediaType& OpalMediaType::Video | ( |  | ) | `[static]`

The documentation for this class was generated from the following file:

- mediatype.h